Skip to main content
POST
/
v1
/
jobs
/
{job-id}
/
job_assignments
Create a JobAssignment for a Job
curl --request POST \
  --url https://api.tread-horizon.com/v1/jobs/{job-id}/job_assignments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vendor_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rate_value": 123,
  "rate_type": "RatePerHour"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rate_value": "<string>",
    "rate_type": "RatePerHour",
    "commission_rate_value": "<string>",
    "commission_rate_type": "RatePerHour",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "job": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "customer_account": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "discarded_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "account_types": [
        "customer"
      ],
      "external_id": "<string>",
      "accounting_id": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "schedule_on": true,
      "billing_address": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "thoroughfare": "<string>",
        "premise": "<string>",
        "locality": "<string>",
        "administrative_area": "<string>",
        "postal_code": "<string>",
        "country": "US",
        "lat": "<string>",
        "lon": "<string>",
        "place_id": "<string>"
      },
      "connected_company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "billing_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      }
    },
    "vendor_account": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "discarded_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "account_types": [
        "customer"
      ],
      "external_id": "<string>",
      "accounting_id": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "schedule_on": true,
      "billing_address": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "thoroughfare": "<string>",
        "premise": "<string>",
        "locality": "<string>",
        "administrative_area": "<string>",
        "postal_code": "<string>",
        "country": "US",
        "lat": "<string>",
        "lon": "<string>",
        "place_id": "<string>"
      },
      "connected_company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "billing_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      }
    },
    "rate": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "type": "RatePerHour",
      "time_rate": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

job-id
string
required

Job ID

Body

application/json
vendor_account_id
string<uuid>
required
rate_id
string<uuid> | null
rate_value
number | null
rate_type
enum<string>
Available options:
RatePerHour,
RatePerDay,
RatePerLoad,
RatePerTon,
RatePerTonne,
RatePerYard,
RatePerBushel,
RateCommission,
RateFlatCommission,
RateFlatRate
Example:

"RatePerHour"

Response

Created

data
JobAssignment-Read · object
required